#R2OpenBUGS Sample Code:
install.packages("R2OpenBUGS")
library(coda) 
library(R2OpenBUGS)
#Set Working Directory to where you placed the model file


#For this example, I will load the data here
p=3
N=21
Y=c(42, 37, 37, 28, 18, 18, 19, 20, 15, 14, 14, 13, 11, 12, 8, 7, 8, 8, 9, 15, 15)
x=matrix(c(80, 27, 89,80, 27, 88, 75, 25, 90,62, 24, 87,62, 22, 87,62, 23, 87, 62, 24, 93,
62, 24, 93,58, 23, 87,58, 18, 80,58, 18, 89,58, 17, 88,58, 18, 82,58, 19, 93,50, 18, 89,
50, 18, 86,50, 19, 72,50, 19, 79, 50, 20, 80,56, 20, 82, 70, 20, 91),byrow=TRUE,ncol=3)

data=list(p=p,N=N,Y=Y,x=x)
Inits1=list(beta0 = 10, beta=c(0,0, 0), sigma = 0.1)
Inits2=list(beta0 = -10, beta=c(10,10, 10), sigma = 10)

#For Multiple Chains you must have the initial values listed
Inits=list(Inits1,Inits2)

lineout <- bugs(data = data, inits = Inits, parameters.to.save = c("beta0", 
    "beta", "sigma"), n.burnin=1000,model.file ="simplemodel.txt", n.chains = 2, n.iter = 11000)
lineout
